import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { PaymentMethod } from '../entities/payment-method.entity';

@Injectable()
export class PaymentMethodRepository extends EntityRepository<PaymentMethod> {
  constructor(readonly em: EntityManager) {
    super(em, PaymentMethod);
  }
}
